> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Deadline

> Use this endpoint to delete a deadline by its ID.

<Note>
  These endpoints power deadline management in the **Console**. You can also call them directly to integrate deadlines into your own systems.
</Note>


## OpenAPI

````yaml en/openapi/v3-current/reporter.yaml delete /v1/deadlines/{id}
openapi: 3.1.0
info:
  title: Reporter
  description: ''
  version: 2.1.2
servers:
  - url: https://reporter.sandbox.lerian.net
security: []
tags: []
paths:
  /v1/deadlines/{id}:
    delete:
      tags:
        - Deadlines API
      summary: Delete a Deadline
      description: Use this endpoint to delete a deadline by its ID.
      parameters:
        - $ref: '#/components/parameters/DeadlineId'
        - $ref: '#/components/parameters/Authorization'
        - $ref: '#/components/parameters/XOrganizationId'
      responses:
        '204':
          description: >-
            Indicates that the deadline was successfully deleted. No content is
            returned.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Error0009:
                  $ref: '#/components/examples/Error0009'
                Error0018:
                  $ref: '#/components/examples/Error0018'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Error0011:
                  $ref: '#/components/examples/Error0011'
      security: []
components:
  parameters:
    DeadlineId:
      name: id
      in: path
      description: Unique identifier of the deadline that you want to manage.
      required: true
      schema:
        type: string
    Authorization:
      name: Authorization
      in: header
      description: >-
        The authorization token in the 'Bearer <token>' format.  


        **Important:** This header is required if your environment has Access
        Manager enabled. For more information, refer to the [Access
        Manager](/en/access-manager) documentation.
      required: false
      schema:
        type: string
    XOrganizationId:
      name: X-Organization-id
      in: header
      description: The unique identifier of the Organization associated with the request.
      required: true
      example: 019c96a0-0a98-7287-9a31-786e0809c769
      schema:
        type: string
  schemas:
    Error:
      type: object
      properties:
        code:
          type: string
          description: A unique, stable identifier for the error.
        title:
          type: string
          description: A brief summary of the issue.
        message:
          type: string
          description: Detailed guidance for resolving the error.
      description: Response message error.
      required:
        - code
        - title
        - message
  examples:
    Error0009:
      summary: Invalid Path Parameter
      value:
        code: TPL-0009
        title: Invalid Path Parameter
        message: >-
          Path parameters is in an incorrect format. Please check the following
          parameter %v and ensure they meet the required format before trying
          again.
    Error0018:
      summary: Internal Server Error
      value:
        code: TPL-0018
        title: Internal Server Error
        message: >-
          The server encountered an unexpected error. Please try again later or
          contact support.
    Error0011:
      summary: Entity Not Found
      value:
        code: TPL-0011
        title: Entity Not Found
        message: >-
          No %v entity was found for the given ID. Please make sure to use the
          correct ID for the entity you are trying to manage.

````